<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">LAPORAN SIMPANAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListSimpananNew()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3" *ngIf="dataUser.role!=='AGT'">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-4">
                  <label class="col-form-label">Perusahaan </label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" (change)="clearAnggota();"></app-company-select>
                </div>
                <div class="col-sm-4">
                  <label class="col-form-label">Pencarian berdasarkan Nama Anggota</label>
                  <input list="members" [(ngModel)]="selectedName" (keyup)="doGetListMember()" (change)="onMemberChanged(selectedName)" [ngModelOptions]="{standalone: true}" class="form-control custom-select custom-select-sm" placeholder="Cari Anggota...">
                  <datalist id="members">
                    <option *ngFor="let user of listAnggota" value="{{user.nama}} - {{user.nomorNik}}">{{user.nama}} - {{user.nomorNik}}</option>
                  </datalist>
                </div>
                <!--<div class="col-sm-3">-->
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<input id="appendedInputButton" (keyup.enter)="doGetListSimpananNew()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">-->
                <!--</div>-->
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 33px">
                  <button class="btn btn-success btn-block pull-right"  (click)="doGetListSimpanan()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>

            </div>
          </div>
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('nomorAnggota')">Nomor Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorAnggota',
                                    'fa-sort-asc': (column == 'nomorAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'nomorAnggota' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 15%" (click)="sort('nama')">Nama
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 15%" (click)="sort('namaPerusahaan')">Nama Perusahaan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('namaProjek')">Nama Projek
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaProjek',
                                    'fa-sort-asc': (column == 'namaProjek' && isDesc),
                                    'fa-sort-desc': (column == 'namaProjek' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('statusAnggota')">Status
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusAnggota',
                                    'fa-sort-asc': (column == 'statusAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'statusAnggota' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('simpananPokok')">Simpanan<br> Pokok
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananPokok',
                                    'fa-sort-asc': (column == 'simpananPokok' && isDesc),
                                    'fa-sort-desc': (column == 'simpananPokok' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('simpananWajib')">Simpanan<br> Wajib
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananWajib',
                                    'fa-sort-asc': (column == 'simpananWajib' && isDesc),
                                    'fa-sort-desc': (column == 'simpananWajib' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('simpananSukarela')">Simpanan<br> Sukarela
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananSukarela',
                                    'fa-sort-asc': (column == 'simpananSukarela' && isDesc),
                                    'fa-sort-desc': (column == 'simpananSukarela' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%" (click)="sort('totalSimpanan')">Total<br> Simpanan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'totalSimpanan',
                                    'fa-sort-asc': (column == 'totalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'totalSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
            </tr>
            </thead>
            <tbody *ngIf="!listSimpanan || listSimpanan.length===0">
            <tr>
              <td colspan="10" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <!--<tr *ngIf="selectedAnggota && saldoSimpanan" class="text-center font-xs">-->
              <!--<td>{{ selectedAnggota.nomorAnggota}}</td>-->
              <!--<td>{{ selectedAnggota.nama}}</td>-->
              <!--<td>{{ selectedAnggota.namaPerusahaan}}</td>-->
              <!--<td>{{ selectedAnggota.lokasiPenempatan}}</td>-->
              <!--<td>{{ saldoSimpanan.totalSimpananPokok | number }}</td>-->
              <!--<td>{{ saldoSimpanan.totalSimpananWajib | number }}</td>-->
              <!--<td>{{ saldoSimpanan.totalSimpananSukarela | number }}</td>-->
              <!--<td>{{ saldoSimpanan.totalSimpanan | number }}</td>-->
            <!--</tr>-->
            <tr class="text-center font-xs" *ngFor="let data of listSimpanan | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <td>{{ data.nomorAnggota}}</td>
              <td class="text-left">{{ data.nama}}</td>
              <td>{{ data.namaPerusahaan}}</td>
              <td>{{ data.lokasiPenempatan}}</td>
              <td>{{ data.statusAnggota | statusAnggota }}</td>
              <td>{{ !data.totalSimpananPokok ? 0 : data.totalSimpananPokok | number }}</td>
              <td>{{ !data.totalSimpananWajib ? 0 : data.totalSimpananWajib | number }}</td>
              <td>{{ !data.totalSimpananSukarela ? 0 : data.totalSimpananSukarela | number }}</td>
              <td>{{ !data.totalSimpanan ? 0 : data.totalSimpanan | number }}</td>
            </tr>
            </tbody>
          </table>
          <div class="pull-right mt-auto">
            <pagination *ngIf="listSimpanan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
